package message_records

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/message_records"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /message_records/update message_records UpdateMessageRecords
//
// Update message records information | 更新MessageRecords
//
// Update message records information | 更新MessageRecords
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: MessageRecordsInfo
//
// Responses:
//  200: BaseMsgResp

func UpdateMessageRecordsHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.MessageRecordsInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := message_records.NewUpdateMessageRecordsLogic(r.Context(), svcCtx)
		resp, err := l.UpdateMessageRecords(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
